org.eclipse.net4j.util.ui.views

## Class ContainerView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.net4j.util.ui.views.ContainerView

- All Implemented Interfaces:
    IAdaptable, IExecutableExtension, ISelectionProvider, IPersistable, IViewPart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, ISetSelectionTarget, IWorkbenchPartOrientation
  Direct Known Subclasses:
    ContainerView.Default

      public abstract class ContainerView
      extends ViewPart
      implements ISelectionProvider, ISetSelectionTarget

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContainerView.Default<CONTAINER extends IContainer<?>>`
    `protected static class` | `ContainerView.MessageType`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

      `PROP_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerView()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addCollapseAllAction(IContributionManager manager)`
    `protected void` | `addRefreshAction(IContributionManager manager)`
    `void` | `addSelectionChangedListener(ISelectionChangedListener listener)`
    `protected void` | `addSeparator(IContributionManager manager)`
    `protected void` | `closeView()`
    `protected void` | `collapseAllPressed()`
    `protected void` | `contributeToActionBars()`
    `protected ContainerItemProvider<IContainer<java.lang.Object>>` | `createContainerItemProvider()`
    `protected IContentProvider` | `createContentProvider()`
    `protected void` | `createdUI()`
    `protected ILabelDecorator` | `createLabelDecorator()`
    `protected IBaseLabelProvider` | `createLabelProvider()`
    `void` | `createPartControl(Composite parent)`
    `protected Control` | `createUI(Composite parent)`
    `protected ViewerSorter` | `createViewerSorter()`
    `protected void` | `doubleClicked(java.lang.Object object)`
    `void` | `expandElement(java.lang.Object element, int level)`
    `protected void` | `fillContextMenu(IMenuManager manager, ITreeSelection selection)`
    `protected void` | `fillLocalPullDown(IMenuManager manager)`
    `protected void` | `fillLocalToolBar(IToolBarManager manager)`
    `<T> T` | `getAdapter(java.lang.Class<T> adapter)`
    `static ImageDescriptor` | `getAddImageDescriptor()`
    `Action` | `getCollapseAllAction()`
    `static ImageDescriptor` | `getCollapseAllImageDescriptor()`
    `protected abstract IContainer<?>` | `getContainer()`
    `static ImageDescriptor` | `getDeleteImageDescriptor()`
    `protected Display` | `getDisplay()`
    `protected Color` | `getElementBackground(java.lang.Object element)`
    `protected Font` | `getElementFont(java.lang.Object element)`
    `protected Color` | `getElementForeground(java.lang.Object element)`
    `protected Image` | `getElementImage(java.lang.Object element)`
    `protected java.lang.String` | `getElementText(java.lang.Object element)`
    `protected Action` | `getRefreshAction()`
    `static ImageDescriptor` | `getRefreshImageDescriptor()`
    `protected IElementFilter` | `getRootElementFilter()`
    `ISelection` | `getSelection()`
    `Shell` | `getShell()`
    `TreeViewer` | `getViewer()`
    `protected void` | `hookContextMenu()`
    `protected void` | `hookDoubleClick()`
    `protected void` | `initViewer()`
    `void` | `refreshElement(java.lang.Object element, boolean updateLabels)`
    `protected void` | `refreshPressed()`
    `void` | `refreshPropertySheetPage()`
    `void` | `refreshViewer(boolean updateLabels)`
    `void` | `removeSelectionChangedListener(ISelectionChangedListener listener)`
    `void` | `resetInput()`
    `void` | `revealElement(java.lang.Object element)`
    `protected void` | `selectionChanged(IActionBars bars, ITreeSelection selection)`
    `void` | `selectReveal(ISelection selection)`
    `void` | `setFocus()`
    `void` | `setSelection(ISelection selection)`
    `protected boolean` | `showMessage(ContainerView.MessageType type, java.lang.String message)`
    `protected void` | `showMessage(java.lang.String message)`
    `void` | `updateLabels(java.lang.Object element)`

    - ### Methods inherited from class org.eclipse.ui.part.ViewPart

      `checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName`

    - ### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

      `addPartPropertyListener, addPropertyListener, dispose, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

      `addPropertyListener, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

- - ### Constructor Detail

    - #### ContainerView

          public ContainerView()

  - ### Method Detail

    - #### getShell

          public Shell getShell()

    - #### getViewer

          public TreeViewer getViewer()

    - #### setFocus

          public void setFocus()

      Specified by:
        `setFocus` in interface `IWorkbenchPart`
      Specified by:
        `setFocus` in class `WorkbenchPart`

    - #### resetInput

          public void resetInput()

    - #### getSelection

          public ISelection getSelection()

      Specified by:
        `getSelection` in interface `ISelectionProvider`
      Since:
        3.0

    - #### setSelection

          public void setSelection(ISelection selection)

      Specified by:
        `setSelection` in interface `ISelectionProvider`
      Since:
        3.0

    - #### addSelectionChangedListener

          public void addSelectionChangedListener(ISelectionChangedListener listener)

      Specified by:
        `addSelectionChangedListener` in interface `ISelectionProvider`
      Since:
        3.0

    - #### removeSelectionChangedListener

          public void removeSelectionChangedListener(ISelectionChangedListener listener)

      Specified by:
        `removeSelectionChangedListener` in interface `ISelectionProvider`
      Since:
        3.0

    - #### selectReveal

          public void selectReveal(ISelection selection)

      Specified by:
        `selectReveal` in interface `ISetSelectionTarget`

    - #### createPartControl

          public final void createPartControl(Composite parent)

      Specified by:
        `createPartControl` in interface `IWorkbenchPart`
      Specified by:
        `createPartControl` in class `WorkbenchPart`

    - #### createUI

          protected Control createUI(Composite parent)

    - #### createdUI

          protected void createdUI()

      Since:
        3.1

    - #### initViewer

          protected void initViewer()

      Since:
        3.1

    - #### createViewerSorter

          protected ViewerSorter createViewerSorter()

      Since:
        3.3

    - #### createContentProvider

          protected IContentProvider createContentProvider()

      Since:
        3.0

    - #### createLabelProvider

          protected IBaseLabelProvider createLabelProvider()

      Since:
        3.0

    - #### createLabelDecorator

          protected ILabelDecorator createLabelDecorator()

      Since:
        3.0

    - #### createContainerItemProvider

          protected ContainerItemProvider<IContainer<java.lang.Object>> createContainerItemProvider()

    - #### getElementText

          protected java.lang.String getElementText(java.lang.Object element)

    - #### getElementImage

          protected Image getElementImage(java.lang.Object element)

    - #### getElementForeground

          protected Color getElementForeground(java.lang.Object element)

      Since:
        3.0

    - #### getElementBackground

          protected Color getElementBackground(java.lang.Object element)

      Since:
        3.0

    - #### getElementFont

          protected Font getElementFont(java.lang.Object element)

      Since:
        3.0

    - #### getRootElementFilter

          protected IElementFilter getRootElementFilter()

    - #### getContainer

          protected abstract IContainer<?> getContainer()

    - #### hookDoubleClick

          protected void hookDoubleClick()

    - #### hookContextMenu

          protected void hookContextMenu()

    - #### contributeToActionBars

          protected void contributeToActionBars()

    - #### fillLocalPullDown

          protected void fillLocalPullDown(IMenuManager manager)

    - #### fillLocalToolBar

          protected void fillLocalToolBar(IToolBarManager manager)

    - #### fillContextMenu

          protected void fillContextMenu(IMenuManager manager,
                                         ITreeSelection selection)

    - #### addSeparator

          protected void addSeparator(IContributionManager manager)

      Since:
        3.5

    - #### addRefreshAction

          protected void addRefreshAction(IContributionManager manager)

      Since:
        3.5

    - #### addCollapseAllAction

          protected void addCollapseAllAction(IContributionManager manager)

      Since:
        3.5

    - #### selectionChanged

          protected void selectionChanged(IActionBars bars,
                                          ITreeSelection selection)

    - #### doubleClicked

          protected void doubleClicked(java.lang.Object object)

    - #### refreshPressed

          protected void refreshPressed()

      Since:
        3.1

    - #### collapseAllPressed

          protected void collapseAllPressed()

      Since:
        3.3

    - #### closeView

          protected void closeView()

    - #### showMessage

          protected void showMessage(java.lang.String message)

    - #### showMessage

          protected boolean showMessage(ContainerView.MessageType type,
                                        java.lang.String message)

    - #### getRefreshAction

          protected Action getRefreshAction()

      Since:
        3.1

    - #### getCollapseAllAction

          public Action getCollapseAllAction()

      Since:
        3.3

    - #### getDisplay

          protected Display getDisplay()

    - #### getAdapter

          public <T> T getAdapter(java.lang.Class<T> adapter)

      Specified by:
        `getAdapter` in interface `IAdaptable`
      Overrides:
        `getAdapter` in class `WorkbenchPart`

    - #### refreshPropertySheetPage

          public void refreshPropertySheetPage()

      Since:
        3.5

    - #### refreshViewer

          public void refreshViewer(boolean updateLabels)

    - #### refreshElement

          public void refreshElement(java.lang.Object element,
                                     boolean updateLabels)

    - #### updateLabels

          public void updateLabels(java.lang.Object element)

    - #### revealElement

          public void revealElement(java.lang.Object element)

    - #### expandElement

          public void expandElement(java.lang.Object element,
                                    int level)

      Since:
        3.3

    - #### getAddImageDescriptor

          public static ImageDescriptor getAddImageDescriptor()

    - #### getDeleteImageDescriptor

          public static ImageDescriptor getDeleteImageDescriptor()

    - #### getRefreshImageDescriptor

          public static ImageDescriptor getRefreshImageDescriptor()

    - #### getCollapseAllImageDescriptor

          public static ImageDescriptor getCollapseAllImageDescriptor()

      Since:
        3.3

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html